
#ifndef ARMYSTUPID2_H
#define ARMYSTUPID2_H


#include "Army.h"
#include "EnnemyUnit.h"

#include <map>

#include "MemoryManager/DebugNew.h"

class ArmyStupid2 : public Army
{
private:

	/**
	*
	*/
	Army* ennemyArmy;

	std::map<Unit*,EnnemyUnit*> target;

	bool init;

public:
	ArmyStupid2(std::string& color);
	virtual ~ArmyStupid2();

	/**
	* Update de l'IA
	*/
	virtual void updateAI();

	/**
	* Update des unités(déplacement...)
	*/
	virtual void updateUnit();

	/**
	*
	*/
	void setEnnemyArmy(Army* ea);
};

#include "MemoryManager/DebugNewOff.h"

#endif
